Last modified: 2014-08-20 21:39:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23058 - More edit toolbar buttons
More edit toolbar buttons
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Page editing (Other open bugs)
1.17.x
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikipedia.org/wiki/MediaWik...
: easy, javascript
Depends on:
Blocks: edit-toolbar
  Show dependency treegraph
 
Reported: 2010-04-05 23:56 UTC by Thor Malmjursson
Modified: 2014-08-20 21:39 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Thor Malmjursson 2010-04-05 23:56:20 UTC
Hi. I think that some of the toolbar buttons which appear on Wikipedia.org, such as table, redirect, superscript, subscript and others which only work on Wikipedia via common.js, should be available as standard on a fresh MediaWiki install.

Since they are very useful to new editors, who may not know the raw wikicode for some functions, as i've described, they'd be quite handy.

It's possible, very easily I'm assured, with a patch to EditPage::getEditToolbar().

Thanks for any help you can provide.
Comment 1 Church of emacs 2010-04-15 21:44:26 UTC
A whole bunch of new buttons and usability improvements are done by the Usability initiative. You can install Extension:UsabilityInitiative to get them. Until they are stable enough, they won't be part of the MediaWiki core.
We probably don't want all of Wikipedia's edit buttons by default. If you want them on the wiki, it's easy to set them up, but the default should contain as little UI clutter as possible.
Comment 2 Thor Malmjursson 2010-04-15 22:21:24 UTC
There's a clear difference between UI clutter, and giving users where a wiki isn't running the usability interface a more comprehensive set of buttons to help them learn the wikicode.

Since they see in the editbox, the code generated by the button, they won't need to use them for long, but learning the functions in raw code is a benefit, which the extra buttons would help with, and the amount of work required as I was told by Tim, would be minimal.

Please reconsider the 'wontfix', it should be at least a 'we'll look into it' if nothing else :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links